library(nnet)

train <- read.csv("sin1.csv", header=T)
valid <- read.csv("sin2.csv", header=T)

sin1 <- nnet(output ~ input, data=train, size=1,maxit=1000)
yosoku1 <- predict(sin1,valid)

plot (valid,  pch=16, ylim=c(0,1))
points (train, pch=1)

points (valid$input, yosoku1,pch=5)
lines (valid$input, yosoku1)
